For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET Org Purchase by ID

Get merchant's purchase by UUID

get

Get merchant's purchase by UUID

This endpoint is used to get mercpurchase by purchase's unique identifier (UUID).

Request

Headers

  • Authorization: Bearer {{ORGANIZATION_API_KEY}}

Response

  • Status: 200 OK

  • Content Type: application/json

Response Body

{
  "data": {
    {
      "id": string,
       "title": string,
       "subTitle": string,
       "siteName": string,
       "asset": Enum('USDT', 'USDC', 'ETH', 'MATIC','BNB', 'TRX', 'BTC'),
       "blockchain": Enum('ethereum', 'tron', 'binance-smart-chain', 'MATIC', 'bitcoin'),
       "address": string,
       "transaction": string[],
       "fiatAmount": number,
       "fiatCurrency": [
           Enum('USD', 'EUR')
        ],
       "currentDate": Date,
       "amount": number,
       "plannedAmount": number,
       "baseCurrencyAmount": number,
       "plannedBaseCurrencyAmount": number,
       "creationDate": Date,
       "allocationDate": Date,
       "expirationDate": Date,
       "status": ENUM('Allocated', 'Expired', 'Unconfirmed', 'Confirming', 'Completed', 'Overcharge', 'Undercharge', 'Failed', 'GenerateAddressFailed', 'Swept'),
       "widgetId": string,
       "redirectUrl": string,
       "confirmationAmount": number,
       "acceptPartialPayment": boolean,
       "widgetName": string,
       "sweepingStatus": <TBD>,
       "sweepingFee": <TBD>
       "merchantName": string,
       "redirectUrl": string,
       "widgetId": string,
       "purchaseIdentifier": string,
    }
  }
}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
Responseobject
get/v1/merchant/purchase/dadb4fff-d69e-4760-980a-182b15421ff9
200

OK

Last updated